## com.vividsolutions.jts.util
Class AssertionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.vividsolutions.jts.util.AssertionFailedException

All Implemented Interfaces:
  java.io.Serializable

public class AssertionFailedException
extends java.lang.RuntimeException

Thrown when the application is in an inconsistent state. Indicates a problem with the code.

Version:
  1.7
See Also:
  Serialized Form

Constructor Summary
`AssertionFailedException()` Creates an `AssertionFailedException`.
`AssertionFailedException(java.lang.String message)` Creates a `AssertionFailedException` with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailedException

    public AssertionFailedException()

  Creates an `AssertionFailedException`.

### AssertionFailedException

    public AssertionFailedException(java.lang.String message)

  Creates a `AssertionFailedException` with the given detail message.

Parameters:
  `message` - a description of the assertion